package com.jy.business.corporation.model.table;

import com.jy.business.corporation.model.entity.Corporation;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class CorporationTable extends Table<Corporation> {

    public static CorporationTable corporation = new CorporationTable();
    public static CorporationTable c = corporation.as("c");

    /**
     * 公司id
     */
    public QueryColumn id = this.field(Corporation::getId);

    /**
     * 公司名称
     */
    public QueryColumn name = this.field(Corporation::getName);

    /**
     * 企业类型
     */
    public QueryColumn type = this.field(Corporation::getType);

    /**
     * 统一信用代码
     */
    public QueryColumn uscCode = this.field(Corporation::getUscCode);

    /**
     * 法定代表人
     */
    public QueryColumn legalPersonName = this.field(Corporation::getLegalPersonName);

    /**
     * 注册资本
     */
    public QueryColumn registeredCapital = this.field(Corporation::getRegisteredCapital);

    /**
     * 纳税人资质
     */
    public QueryColumn taxpayerQualification = this.field(Corporation::getTaxpayerQualification);

    /**
     * 公司电话
     */
    public QueryColumn corporationNumber = this.field(Corporation::getCorporationNumber);

    /**
     * 备注
     */
    public QueryColumn remark = this.field(Corporation::getRemark);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(Corporation::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(Corporation::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(Corporation::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(Corporation::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(Corporation::getDelFlag);

    private CorporationTable() {
        super(Corporation.class);
    }

    private CorporationTable(String alias) {
        super(Corporation.class, alias);
    }

    public CorporationTable as(String alias) {
        return new CorporationTable(alias);
    }

}
